Browse Source

Updated from global requirements

Change-Id: Ib43f395bfbb75811f0ffbe4570d9e7ece5aabcbc
changes/05/536305/3
OpenStack Proposal Bot 3 years ago
parent
commit
cff8994787
3 changed files with 14 additions and 14 deletions
  1. +4
    -4
      requirements.txt
  2. +2
    -2
      setup.py
  3. +8
    -8
      test-requirements.txt

+ 4
- 4
requirements.txt View File

@ -2,9 +2,9 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
tempest>=12.1.0 # Apache-2.0
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
tempest>=17.1.0 # Apache-2.0
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
oslo.config>=3.22.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0

+ 2
- 2
setup.py View File

@ -1,4 +1,4 @@
# Copyright 2016 SAP SE
# Copyright (c) 2013 Hewlett-Packard Development Company, L.P.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@ -25,5 +25,5 @@ except ImportError:
pass
setuptools.setup(
setup_requires=['pbr>=1.8'],
setup_requires=['pbr>=2.0.0'],
pbr=True)

+ 8
- 8
test-requirements.txt View File

@ -2,14 +2,14 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
hacking>=0.12.0,<0.13 # Apache-2.0
hacking<0.13,>=0.12.0 # Apache-2.0
python-subunit>=0.0.18 # Apache-2.0/BSD
sphinx>=1.2.1,!=1.3b1,<1.4 # BSD
python-subunit>=1.0.0 # Apache-2.0/BSD
sphinx!=1.6.6,>=1.6.2 # BSD
oslosphinx>=4.7.0 # Apache-2.0
oslotest>=1.10.0 # Apache-2.0
testrepository>=0.0.18 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=1.4.0 # MIT
oslotest>=3.2.0 # Apache-2.0
testrepository>=0.0.18 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=2.2.0 # MIT
oslo.log>=3.22.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0

Loading…
Cancel
Save